Subject: Re: bug#51032: 29.0.50; Choices for blink-matching-paren

From: Eli Zaretskii <[email-masked]>
Date: Thu, 07 Oct 2021 12:39:25 +0300

> From: Arash Esbati <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  [email-masked],  [email-masked]
> Date: Thu, 07 Oct 2021 11:02:23 +0200
> 
> Stefan Kangas <[email-masked]> writes:
> 
> > Eli Zaretskii <[email-masked]> writes:
> >
> >> I'm not talking about the doc string here, I'm talking about the
> >> values in the value menu that the defcustom will show the user when
> >> the user customizes this variable.
> 
> I think the values in the value menu are Ok, the only misleading part of
> docstring was
> 
>     With any other non-nil value, the off-screen position of the opening
>     paren will be shown in the echo area.

It is IMO wrong to have that text there, because 'jump-offscreen'
doesn't do that, and 'jump' does it only of the open-paren is
off-screen.

Please take a look at the changes I just installed: are they OK?

Thanks.